# Orientation found
cnf(one_way_clause,axiom,party_of_protocol(a)).
cnf(one_way_clause,axiom,party_of_protocol(b)).
cnf(one_way_clause,axiom,fresh_to_b(an_a_nonce)).
cnf(one_way_clause,axiom,party_of_protocol(t)).
cnf(one_way_clause,axiom,a_nonce(an_a_nonce)).
cnf(one_way_clause,axiom,a_nonce(generate_b_nonce(X1))).
cnf(one_way_clause,axiom,a_nonce(generate_expiration_time(X1))).
cnf(one_way_clause,axiom,a_holds(key(at,t))).
cnf(one_way_clause,axiom,a_stored(pair(b,an_a_nonce))).
cnf(one_way_clause,axiom,b_holds(key(bt,t))).
cnf(one_way_clause,axiom,t_holds(key(at,a))).
cnf(one_way_clause,axiom,t_holds(key(bt,b))).
cnf(one_way_clause,axiom,message(sent(a,b,pair(a,an_a_nonce)))).
cnf(one_way_clause,axiom,~a_nonce(generate_key(X1))).
cnf(one_way_clause,axiom,~intruder_message(X1)|~intruder_message(X2)|intruder_message(pair(X1,X2))).
cnf(one_way_clause,axiom,~intruder_message(X2)|intruder_message(pair(X1,X2))|~intruder_message(X1)).
cnf(one_way_clause,axiom,intruder_message(pair(X1,X2))|~intruder_message(X2)|~intruder_message(X1)).
cnf(one_way_clause,axiom,~intruder_message(X1)|~party_of_protocol(X2)|intruder_holds(key(X1,X2))).
cnf(one_way_clause,axiom,~party_of_protocol(X2)|intruder_holds(key(X1,X2))|~intruder_message(X1)).
cnf(one_way_clause,axiom,intruder_holds(key(X1,X2))|~party_of_protocol(X2)|~intruder_message(X1)).
cnf(one_way_clause,axiom,~intruder_message(pair(X1,X2))|intruder_message(X2)).
cnf(one_way_clause,axiom,intruder_message(X2)|~intruder_message(pair(X1,X2))).
cnf(one_way_clause,axiom,~intruder_message(pair(X1,X2))|intruder_message(X1)).
cnf(one_way_clause,axiom,intruder_message(X1)|~intruder_message(pair(X1,X2))).
cnf(one_way_clause,axiom,~intruder_message(X1)|~intruder_holds(key(X2,X3))|~party_of_protocol(X3)|intruder_message(encrypt(X1,X2))).
cnf(one_way_clause,axiom,~intruder_holds(key(X2,X3))|~party_of_protocol(X3)|intruder_message(encrypt(X1,X2))|~intruder_message(X1)).
cnf(one_way_clause,axiom,~party_of_protocol(X3)|intruder_message(encrypt(X1,X2))|~intruder_holds(key(X2,X3))|~intruder_message(X1)).
cnf(one_way_clause,axiom,intruder_message(encrypt(X1,X2))|~party_of_protocol(X3)|~intruder_holds(key(X2,X3))|~intruder_message(X1)).
cnf(one_way_clause,axiom,~intruder_message(encrypt(X3,X1))|~intruder_holds(key(X1,X2))|~party_of_protocol(X2)|intruder_message(X1)).
cnf(one_way_clause,axiom,~intruder_holds(key(X1,X2))|~party_of_protocol(X2)|intruder_message(X1)|~intruder_message(encrypt(X3,X1))).
cnf(one_way_clause,axiom,~party_of_protocol(X2)|intruder_message(X1)|~intruder_holds(key(X1,X2))|~intruder_message(encrypt(X3,X1))).
cnf(one_way_clause,axiom,intruder_message(X1)|~party_of_protocol(X2)|~intruder_holds(key(X1,X2))|~intruder_message(encrypt(X3,X1))).
cnf(one_way_clause,axiom,~intruder_message(X1)|~intruder_message(X2)|~intruder_message(X3)|intruder_message(triple(X1,X2,X3))).
cnf(one_way_clause,axiom,~intruder_message(X2)|~intruder_message(X3)|intruder_message(triple(X1,X2,X3))|~intruder_message(X1)).
cnf(one_way_clause,axiom,~intruder_message(X3)|intruder_message(triple(X1,X2,X3))|~intruder_message(X2)|~intruder_message(X1)).
cnf(one_way_clause,axiom,intruder_message(triple(X1,X2,X3))|~intruder_message(X3)|~intruder_message(X2)|~intruder_message(X1)).
cnf(one_way_clause,axiom,~intruder_message(X3)|~party_of_protocol(X1)|~party_of_protocol(X2)|message(sent(X1,X2,X3))).
cnf(one_way_clause,axiom,~party_of_protocol(X1)|~party_of_protocol(X2)|message(sent(X1,X2,X3))|~intruder_message(X3)).
cnf(one_way_clause,axiom,~party_of_protocol(X2)|message(sent(X1,X2,X3))|~party_of_protocol(X1)|~intruder_message(X3)).
cnf(one_way_clause,axiom,message(sent(X1,X2,X3))|~party_of_protocol(X2)|~party_of_protocol(X1)|~intruder_message(X3)).
cnf(one_way_clause,axiom,~message(sent(X2,X3,X1))|intruder_message(X1)).
cnf(one_way_clause,axiom,intruder_message(X1)|~message(sent(X2,X3,X1))).
cnf(one_way_clause,axiom,~intruder_message(triple(X1,X2,X3))|intruder_message(X3)).
cnf(one_way_clause,axiom,intruder_message(X3)|~intruder_message(triple(X1,X2,X3))).
cnf(one_way_clause,axiom,~intruder_message(triple(X1,X2,X3))|intruder_message(X2)).
cnf(one_way_clause,axiom,intruder_message(X2)|~intruder_message(triple(X1,X2,X3))).
cnf(one_way_clause,axiom,~intruder_message(triple(X1,X2,X3))|intruder_message(X1)).
cnf(one_way_clause,axiom,intruder_message(X1)|~intruder_message(triple(X1,X2,X3))).
cnf(one_way_clause,axiom,~message(sent(X2,b,pair(X2,X1)))|~fresh_to_b(X1)|b_stored(pair(X2,X1))).
cnf(one_way_clause,axiom,~fresh_to_b(X1)|b_stored(pair(X2,X1))|~message(sent(X2,b,pair(X2,X1)))).
cnf(one_way_clause,axiom,b_stored(pair(X2,X1))|~fresh_to_b(X1)|~message(sent(X2,b,pair(X2,X1)))).
cnf(one_way_clause,axiom,~intruder_message(X1)|~intruder_message(X2)|~intruder_message(X3)|~intruder_message(X4)|intruder_message(quadruple(X1,X2,X3,X4))).
cnf(one_way_clause,axiom,~intruder_message(X2)|~intruder_message(X3)|~intruder_message(X4)|intruder_message(quadruple(X1,X2,X3,X4))|~intruder_message(X1)).
cnf(one_way_clause,axiom,~intruder_message(X3)|~intruder_message(X4)|intruder_message(quadruple(X1,X2,X3,X4))|~intruder_message(X2)|~intruder_message(X1)).
cnf(one_way_clause,axiom,~intruder_message(X4)|intruder_message(quadruple(X1,X2,X3,X4))|~intruder_message(X3)|~intruder_message(X2)|~intruder_message(X1)).
cnf(one_way_clause,axiom,intruder_message(quadruple(X1,X2,X3,X4))|~intruder_message(X4)|~intruder_message(X3)|~intruder_message(X2)|~intruder_message(X1)).
cnf(one_way_clause,axiom,~intruder_message(quadruple(X1,X2,X3,X4))|intruder_message(X4)).
cnf(one_way_clause,axiom,intruder_message(X4)|~intruder_message(quadruple(X1,X2,X3,X4))).
cnf(one_way_clause,axiom,~intruder_message(quadruple(X1,X2,X3,X4))|intruder_message(X3)).
cnf(one_way_clause,axiom,intruder_message(X3)|~intruder_message(quadruple(X1,X2,X3,X4))).
cnf(one_way_clause,axiom,~intruder_message(quadruple(X1,X2,X3,X4))|intruder_message(X2)).
cnf(one_way_clause,axiom,intruder_message(X2)|~intruder_message(quadruple(X1,X2,X3,X4))).
cnf(one_way_clause,axiom,~intruder_message(quadruple(X1,X2,X3,X4))|intruder_message(X1)).
cnf(one_way_clause,axiom,intruder_message(X1)|~intruder_message(quadruple(X1,X2,X3,X4))).
cnf(one_way_clause,axiom,~message(sent(X2,b,pair(X2,X1)))|~fresh_to_b(X1)|message(sent(b,t,triple(b,generate_b_nonce(X1),encrypt(triple(X2,X1,generate_expiration_time(X1)),bt))))).
cnf(one_way_clause,axiom,~fresh_to_b(X1)|message(sent(b,t,triple(b,generate_b_nonce(X1),encrypt(triple(X2,X1,generate_expiration_time(X1)),bt))))|~message(sent(X2,b,pair(X2,X1)))).
cnf(one_way_clause,axiom,message(sent(b,t,triple(b,generate_b_nonce(X1),encrypt(triple(X2,X1,generate_expiration_time(X1)),bt))))|~fresh_to_b(X1)|~message(sent(X2,b,pair(X2,X1)))).
cnf(one_way_clause,axiom,~message(sent(X2,b,pair(encrypt(triple(X2,X1,generate_expiration_time(X3)),bt),encrypt(generate_b_nonce(X3),X1))))|~b_stored(pair(X2,X3))|b_holds(key(X1,X2))).
cnf(one_way_clause,axiom,~b_stored(pair(X2,X3))|b_holds(key(X1,X2))|~message(sent(X2,b,pair(encrypt(triple(X2,X1,generate_expiration_time(X3)),bt),encrypt(generate_b_nonce(X3),X1))))).
cnf(one_way_clause,axiom,b_holds(key(X1,X2))|~b_stored(pair(X2,X3))|~message(sent(X2,b,pair(encrypt(triple(X2,X1,generate_expiration_time(X3)),bt),encrypt(generate_b_nonce(X3),X1))))).
cnf(one_way_clause,axiom,~message(sent(t,a,triple(encrypt(quadruple(X1,X2,X3,X4),at),X5,X6)))|~a_stored(pair(X1,X2))|a_holds(key(X3,X1))).
cnf(one_way_clause,axiom,~a_stored(pair(X1,X2))|a_holds(key(X3,X1))|~message(sent(t,a,triple(encrypt(quadruple(X1,X2,X3,X4),at),X5,X6)))).
cnf(one_way_clause,axiom,a_holds(key(X3,X1))|~a_stored(pair(X1,X2))|~message(sent(t,a,triple(encrypt(quadruple(X1,X2,X3,X4),at),X5,X6)))).
cnf(one_way_clause,axiom,~message(sent(t,a,triple(encrypt(quadruple(X1,X2,X3,X4),at),X5,X6)))|~a_stored(pair(X1,X2))|message(sent(a,X1,pair(X5,encrypt(X6,X3))))).
cnf(one_way_clause,axiom,~a_stored(pair(X1,X2))|message(sent(a,X1,pair(X5,encrypt(X6,X3))))|~message(sent(t,a,triple(encrypt(quadruple(X1,X2,X3,X4),at),X5,X6)))).
cnf(one_way_clause,axiom,message(sent(a,X1,pair(X5,encrypt(X6,X3))))|~a_stored(pair(X1,X2))|~message(sent(t,a,triple(encrypt(quadruple(X1,X2,X3,X4),at),X5,X6)))).
cnf(one_way_clause,axiom,~message(sent(X2,t,triple(X2,X7,encrypt(triple(X1,X3,X4),X6))))|~t_holds(key(X6,X2))|~t_holds(key(X5,X1))|~a_nonce(X3)|message(sent(t,X1,triple(encrypt(quadruple(X2,X3,generate_key(X3),X4),X5),encrypt(triple(X1,generate_key(X3),X4),X6),X7)))).
cnf(one_way_clause,axiom,~t_holds(key(X6,X2))|~t_holds(key(X5,X1))|~a_nonce(X3)|message(sent(t,X1,triple(encrypt(quadruple(X2,X3,generate_key(X3),X4),X5),encrypt(triple(X1,generate_key(X3),X4),X6),X7)))|~message(sent(X2,t,triple(X2,X7,encrypt(triple(X1,X3,X4),X6))))).
cnf(one_way_clause,axiom,~t_holds(key(X5,X1))|~a_nonce(X3)|message(sent(t,X1,triple(encrypt(quadruple(X2,X3,generate_key(X3),X4),X5),encrypt(triple(X1,generate_key(X3),X4),X6),X7)))|~t_holds(key(X6,X2))|~message(sent(X2,t,triple(X2,X7,encrypt(triple(X1,X3,X4),X6))))).
cnf(one_way_clause,axiom,~a_nonce(X3)|message(sent(t,X1,triple(encrypt(quadruple(X2,X3,generate_key(X3),X4),X5),encrypt(triple(X1,generate_key(X3),X4),X6),X7)))|~t_holds(key(X5,X1))|~t_holds(key(X6,X2))|~message(sent(X2,t,triple(X2,X7,encrypt(triple(X1,X3,X4),X6))))).
cnf(one_way_clause,axiom,message(sent(t,X1,triple(encrypt(quadruple(X2,X3,generate_key(X3),X4),X5),encrypt(triple(X1,generate_key(X3),X4),X6),X7)))|~a_nonce(X3)|~t_holds(key(X5,X1))|~t_holds(key(X6,X2))|~message(sent(X2,t,triple(X2,X7,encrypt(triple(X1,X3,X4),X6))))).
cnf(i_0_1,negated_conjecture,~b_holds(key(X1,a))|~intruder_holds(key(X1,b))).
